/// <reference types="react" />
import FieldCoreBase, { IStateFieldBase } from '@react-form-fields/core/components/FieldCoreBase';
import { Props as AutoCompleteProps } from 'react-select/lib/Select';
import { StylesConfig } from 'react-select/lib/styles';
import { IStyledProps } from '../../decorators/withStyles';
import { IBaseFieldProps } from '../../interfaces/props';
interface IState extends IStateFieldBase {
    term: string;
    value: string;
    suggestions: IProps['options'][0][];
}
interface IProps extends IBaseFieldProps, IStyledProps, AutoCompleteProps {
    value: any | any[];
    onChange: (value: any) => void;
    options: {
        value: any;
        label: string;
    }[];
}
export default class FieldAutocomplete extends FieldCoreBase<IProps, IState> {
    styles: StylesConfig;
    onChange: (value: {
        value: any;
        label: string;
    } | {
        value: any;
        label: string;
    }[]) => void;
    readonly value: any;
    render(): JSX.Element;
}
export {};
